### Name: MC.samplemean
### Title: Sample Mean Monte Carlo Integration
### Aliases: MC.samplemean
### Keywords: dynamic hplot

### ** Examples

oopt = ani.options(interval = 0.2, nmax = 50)
par(mar = c(4, 4, 1, 1))
## when the number of rectangles is large, use border = NA
MC.samplemean(border = NA)$est
integrate(function(x) x - x^2, 0, 1)
## when adj.x = FALSE, use semi-transparent colors
MC.samplemean(adj.x = FALSE, col.rect = c(rgb(0, 0, 
    0, 0.3), rgb(1, 0, 0)), border = NA)
## another function to be integrated
MC.samplemean(FUN = function(x) x^3 - 0.5^3, border = NA)$est
integrate(function(x) x^3 - 0.5^3, 0, 1)

## Not run: 
##D ## HTML animation page
##D ani.options(interval = 0.5, title = "Sample Mean Monte Carlo Integration",
##D     description = "Generate Uniform random numbers and compute the average
##D                   function values.")
##D ani.start()
##D MC.samplemean(n = 100, border = NA)
##D ani.stop()
## End(Not run)

ani.options(oopt)



